# Created by pyp2rpm-3.3.5
%global pypi_name hjson
%global github_name hjson-py
%global github_user hjson

Name:           python-%{pypi_name}
Version:        3.0.2
Release:        3%{?dist}.3
Summary:        JSON for Humans, allows comments and is less error prone

License:        MIT
URL:            https://github.com/%{github_user}/%{github_name}
Source0:        https://github.com/%{github_user}/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
Patch0:         python-hjson-python3.12.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Hjson, the Human JSON. A data format that caters to humans and helps reduce the
errors they make.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Hjson, the Human JSON. A data format that caters to humans and helps reduce the
errors they make.


%prep
%autosetup -n %{github_name}-%{version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
%{__rm} -f %{buildroot}%{_bindir}/hjson.cmd

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/hjson
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Oct 17 2023 Oleg Girko <ol@infoserver.lv> - 3.0.2-3
- Add patch to fix compatibility with Python 3.12 in examples.
* Mon Jan 17 2022 Oleg Girko <ol@infoserver.lv> - 3.0.2-2
- Fix typo in URL.
* Sun Mar 14 2021 Oleg Girko <ol@infoserver.lv> - 3.0.2-1
- Initial package.
